Qt 5.6 | Qt 3D | C++ Classes | QAbstractSceneParser

Qt 5.6.3 Reference Documentation

# QAbstractSceneParser Class

(Qt3DRender::QAbstractSceneParser)

Inherited By: | Qt3DRender::AssimpParser

- List of all members, including inherited members

## Public Types

enum | ParserStatus { Empty, Loading, Loaded, Error }

## Properties

- errors : const QStringList
- parserStatus : const ParserStatus

## Public Functions

| QAbstractSceneParser()
virtual | ~QAbstractSceneParser()
QStringList | errors() const
virtual bool | isExtensionSupported(const QUrl &source) const = 0
virtual Qt3DCore::QEntity * | node(const QString &id) = 0
ParserStatus | parserStatus() const
virtual Qt3DCore::QEntity * | scene(const QString &id = QString()) = 0
virtual void | setSource(const QUrl &source) = 0

## Signals

void | errorsChanged(const QStringList &errors)
void | parserStatusChanged(ParserStatus parserStatus)

## Protected Functions

void | logError(const QString &error)
void | logInfo(const QString &info)
void | setParserStatus(ParserStatus parserStatus)

## Member Type Documentation

### enum QAbstractSceneParser::ParserStatus

## Property Documentation

### errors : const QStringList

Access functions:

QStringList | errors() const

Notifier signal:

void | errorsChanged(const QStringList &errors)

### parserStatus : const ParserStatus

Access functions:

ParserStatus | parserStatus() const

Notifier signal:

void | parserStatusChanged(ParserStatus parserStatus)

## Member Function Documentation

### QAbstractSceneParser::QAbstractSceneParser()

Default constructs an instance of QAbstractSceneParser.

### `[virtual]` QAbstractSceneParser::~QAbstractSceneParser()

Destroys the instance of QAbstractSceneParser. The destructor is virtual.

### `[pure virtual]` bool QAbstractSceneParser::isExtensionSupported(const QUrl &source) const

### `[protected]` void QAbstractSceneParser::logError(const QString &error)

### `[protected]` void QAbstractSceneParser::logInfo(const QString &info)

### `[pure virtual]` Qt3DCore::QEntity *QAbstractSceneParser::node(const QString &id)

### `[pure virtual]` Qt3DCore::QEntity *QAbstractSceneParser::scene(const QString &id = QString())

### `[protected]` void QAbstractSceneParser::setParserStatus(ParserStatus parserStatus)

See also parserStatus().

### `[pure virtual]` void QAbstractSceneParser::setSource(const QUrl &source)